from microbit import *
from GRobotronicsMaqueen import MoveMaqueen, LineSensors

robot = MoveMaqueen()
line = LineSensors()

def followLine(left, middle, right):
    if left == "WHITE" and middle == "BLACK" and right == "WHITE":
        robot.move(60, 60)
    elif left == "BLACK" and middle == "BLACK" and right == "WHITE":
        robot.move(20, 60)
    elif left == "BLACK" and middle == "WHITE" and right == "WHITE":
        robot.move(0, 60)
    elif left == "WHITE" and middle == "BLACK" and right == "BLACK":
        robot.move(60, 20)
    elif left == "WHITE" and middle == "WHITE" and right == "BLACK":
        robot.move(60, 0)
    elif left == "BLACK" and middle == "BLACK" and right == "BLACK":
        robot.move(60, 60)
        
while True:
    L2, L1, M, R1, R2 = line.return_sensor_values()

    if L1 == "BLACK" or M == "BLACK" or R1 == "BLACK":
        followLine(L1, M, R1)
    else:
        robot.stop()
