from microbit import *
from GRobotronicsMaqueen import MoveMaqueen

robot = MoveMaqueen()

def followLine(left, right):
    if left == 0 and right == 0:
        robot.move(60, 60)
    elif left == 0 and right == 1:
        robot.move(0, 60)
    elif left == 1 and right == 0:
        robot.move(60, 0)
        
while True:
    L = pin13.read_digital()
    R = pin14.read_digital()

    if L == 0 or R == 0:
        followLine(L, R)
    else:
        robot.stop()
